Bug 1807283 - ownership conflict between deepin-kwin and kdeplasma-addons
Summary: ownership conflict between deepin-kwin and kdeplasma-addons
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: deepin-kwin
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Robin Lee
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-26 01:40 UTC by George R. Goffe
Modified: 2020-03-16 22:03 UTC (History)
4 users (show)

Fixed In Version: deepin-kwin-0.1.0-6.fc31 deepin-kwin-0.1.0-6.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-06 02:23:07 UTC
Type: Bug


Attachments (Terms of Use)

Description George R. Goffe 2020-02-26 01:40:32 UTC
Description of problem:freshly installed FC33 (Rawhide)... attempting to group install "Deepin Desktop" produces conflict message: 

Error: Transaction test error:
file /usr/share/kwin/tabbox/thumbnail_grid/contents/ui/main.qml from install of deepin-kwin-0.1.0-5.fc32.x86_64 conflicts with file from package kdeplasma-addons-5.18.1-1.fc33.x86_64
file /usr/share/kwin/tabbox/thumbnail_grid/metadata.desktop from install of deepin-kwin-0.1.0-5.fc32.x86_64 conflicts with file from package kdeplasma-addons-5.18.1-1.fc33.x86_64



Version-Release number of selected component (if applicable):
No previous version as this is a group install of 'Deepin Desktop'

How reproducible:
always

Steps to Reproduce:
1.dnf -y group install --with-optional --allowerasing  'Deepin Desktop'
2.
3.

Actual results:
see above

Expected results:
successful and clean system upgrade

Additional info:

Comment 1 George R. Goffe 2020-02-26 04:32:24 UTC
Robin,

Thanks for responding to this bug report.

Do you need any information from me at this point?

Regards,

George...

Comment 2 Robin Lee 2020-02-26 06:36:33 UTC
Your report is clear. It should be easy to fix. We can rename the conflicting directory in deepin-kwin.

Comment 3 Fedora Update System 2020-02-27 18:37:55 UTC
deepin-kwin-0.1.0-6.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-caef39bfa1

Comment 4 Fedora Update System 2020-02-28 01:27:14 UTC
deepin-kwin-0.1.0-6.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-056734afd2

Comment 5 Fedora Update System 2020-03-06 02:23:07 UTC
deepin-kwin-0.1.0-6.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2020-03-16 20:15:28 UTC
deepin-kwin-0.1.0-6.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2020-03-16 20:29:22 UTC
deepin-kwin-0.1.0-6.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 George R. Goffe 2020-03-16 22:03:23 UTC
Robin,

Thanks for your hard work!

I just upgraded this system with the above command. Success!

Best regards,

George...


Note You need to log in before you can comment on or make changes to this bug.